import { tap, expect, webhelpers } from '@git.zone/tstest/tapbundle';

import * as deesCatalog from '../ts_web/index.js';

tap.test('should create a working button', async () => {
  const button: deesCatalog.DeesButton = await webhelpers.fixture(
    webhelpers.html`<dees-button></dees-button>`
  );
  expect(button).toBeInstanceOf(deesCatalog.DeesButton);
});

export default tap.start();
